Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Groovy] Class Main

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.Main

    class Main
    extends Object

Main CLI entry-point for `groovydoc`.

Authors:
  Paul King

Method Summary
`static def` | `collectSourceFileNames(List remainingArgs, String[] sourceDirs, List exclusions)`
`static void` | `execute()`
`static void` | `main(String[] args)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### collectSourceFileNames

    static def collectSourceFileNames(List remainingArgs, String[] sourceDirs, List exclusions)

### execute

    static void execute()

### main

    static void main(String[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.